import {defineConfig} from 'vite'
import {resolve} from 'path'

// https://vitejs.dev/config/
export default defineConfig({
	build: {
		emptyOutDir: false,
		lib: {
			entry: resolve(__dirname, 'preload/index.ts'),
			name: 'ff-global',
			// the proper extensions will be added
			fileName: 'preload',

		},
		rollupOptions: {

			// 确保外部化处理那些你不想打包进库的依赖
			external: ['electron', 'axios', 'dexie', 'path'],
		}
	}
})
